## prefork-1d432b99b7b75c52e37be9e839875694394418ea-1d432b99b7b75c52e37be9e839875694394418ea.tar.gz

=== Makefile ===
#
# main Makefile

DESTDIR	?= /
PREFIX	?= /usr
NROFF	?= nroff

#
# XXXrcd: enable these flags when developing using gcc.  I turn them
#         off by default for portability.

# CFLAGS+= -Wall
# CFLAGS+= -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith
# CFLAGS+= -Wno-sign-compare -Wno-traditional -Wreturn-type
# CFLAGS+= -Wswitch -Wshadow -Wcast-qual -Wwrite-strings -Wextra
# CFLAGS+= -Wno-unused-parameter -Wsign-compare
# CFLAGS+= -Werror

all: prefork prefork.0

clean:
	rm -f prefork prefork.o prefork.0

install:
	umask 022 && mkdir -p		$(DESTDIR)/$(PREFIX)/libexec
	umask 022 && mkdir -p		$(DESTDIR)/$(PREFIX)/man/man8
	umask 022 && mkdir -p		$(DESTDIR)/$(PREFIX)/man/cat8
	install -c -m755 prefork	$(DESTDIR)/$(PREFIX)/libexec
	install -c -m644 prefork.8	$(DESTDIR)/$(PREFIX)/man/man8/
	install -c -m644 prefork.0	$(DESTDIR)/$(PREFIX)/man/cat8/

prefork.0: prefork.8
	$(NROFF) -mandoc prefork.8 > $@

=== debian/changelog ===
prefork (0.3) unstable; urgency=low

  * Set umask 022 when creating directories.
  * Man page updates

 -- Roland C. Dowdeswell <roland.dowdeswell@twosigma.com>  Thu, 24 Aug 2017 15:56:25 +0100

prefork (0.2) unstable; urgency=low

  * Set umask 022 when creating directories.
  * Man page updates

 -- root <roland.dowdeswell@twosigma.com>  Thu, 10 Nov 2016 15:56:25 +0100

prefork (0.1-1) unstable; urgency=low

  * Initial release

 -- root <root@unknown>  Fri, 19 Aug 2011 15:56:25 +0100

=== debian/control ===
Source: prefork
Section: unknown
Priority: extra
Maintainer: root <elric@imrryr.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
Homepage: <insert the upstream URL, if relevant>

Package: prefork
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
